"Buttered Toast, a Dungeon of Random Happenings" by "William Moore".

Chapter 0 - License and General Set Up

[
	Copyright (C) 2023  William R. Moore
	This work is licensed under the Creative Commons BY-NC-SA 4.0 License. To view a copy of the license, visit https://rezrov.xyz/caranmegil/butteredtoast4/.
]

Chapter 1 - General Set Up

The release number is 1.
Index map with EPS file.
The story description is "An interactive fiction of capering around a mega structure with the hopes of finding true -- whatever. Collaborative input was provided by Kiel Moore.".
Release along with cover art, an introductory booklet, an introductory postcard, a website, an interpreter, a library card, a public solution, a file of "Map" called "Inform Map.eps", and the source text.
Include Basic Screen Effects by Emily Short.
Include 1PD6 Buttered Toast Setting by William Moore.

The block giving rule is not listed in the check giving it to rules.

Chapter 2 - Figures and Tables

Figure of Mr Linendot is the file "mr_linendot.jpg".
Figure of Spork in the Road is the file "spork_in_the_road.jpg".

Table of Television Responses
Response
"Where's Waldo? He's 5 foot 10 inches with a red and white striped shirt, red and white striped hat, propensity to hide. Please, let us know. His family misses him."
"Corey Corem has put out his latest album containing all new classics. You can find 'It's a Plea Bargain, Baby!' with the hit single 'Hit and Run in the Summer Sun' is available on all your favorite streaming platforms and local stores."
"And that, folks, was the latest trailer for 'Hands Off My Burrito!', the lastest film in the Billy Davis Cinematic Universe. Well, it was exactly what I expected. Let's just say!"
"The ex-wife of Firenze Prumt was found dead today in an apparent suicide while falling down the stairs. This comes days after said she has dirt on his activities many have claimed are illegal in nature."
"Enjoy the newest, hippest, greatest chip in town: Mumford Chips. Mumford Chips: the chips that make you -- gruuuuuuunt! Made by S.C. Johnson Wax."
"Drink Pepso! The only drink made with real pepsin!"
"Billy Davis has recorded what he called his seminal blues album that strongly sounds like synth pop. When asked why it was, he remarked 'What the Hell is blues?' I think that sums up the album."
"Billy Davis was recently interviewed about his latest film projects. Here it is![line break]Billy Davis: 'I want to make a movie about a farmer.'[line break] Interviewer: 'Okay?'[line break]Billy Davis: 'He is a young adult, maybe late teens. and he lives in the desert.'[line break]Interviewer: 'This sounds fam --'[line break]Billy Davis 'And his caretakers, who are his aunt and uncle, are killed. So he joins a smuggler, his buddy, and an old man to save a princess who is leading a rebel army against the evil empire.'[line break]Interviewer: 'That's [bold type]Star Wars[roman type].'[line break]Billy Davis: 'No! Hear me out. They travel through space to get her.'[line break]Interviewer: 'Yeah, Star Wars'[line break]Billy Davis: 'No! Anyways. She's being held on this space station that can blow up planets.'[line break]Interviewer: 'Ah, okay, that's Star Wars.'"
"We asked Billy Davis which candidate he supports for president of the United States of America, we had a shocking interview.[line break]Billy Davis: 'I'm not sure what you mean?'[line break]Interviewer: 'The president -- everyone gets to choose that!'[line break]Billy Davis: 'Oh! A judge says I can't to that any more'[line break]Interviewer: 'You're a felon?'[line break]Billy Davis: 'Nope! Jaywalking, baby!'[line break]Interviewer: 'You can't lose your right to vote over that. Was it a judge who told you this?'[line break]Billy Davis: 'It most certainly was!'[paragraph break]It was at this point that he unsuccessfully tried to moonwalk out of the interview."
"Interviewer: 'I hear you drink heavily'[line break]Billy Davis: 'Yeah, my mom gives me a juice pack every day.'"

Table of Melkior Responses
Response
"Melkior says 'You will kneel before me and Lord Death!'"
"Melkior says 'Would you like to try some of this black ichor?'"
"Melkior says 'I cannot believe that I was defeated by a dwarf and a multi-armed human.'"
"Melkior says 'Lord Death, save me!'"
"Melkior says 'Ailusherai! I will find you!'"

Table of Mr Linendot Sayings
Saying
"Mr. Linendot smiles and says 'Hi, kids! I'm Mr. Linendot the officially unofficial spokesperson of Pepso: the only drink made with real pepsin!'"
"Mr. Linendot offers you an unmarked can and shouts 'Hi, kids! I'm Mr. Linendot! Try the new 'refreshing' flavor of Pepso: 'vanilla'!'"
"Mr. Linendot frowns and says 'I'm legally required to use air quotes so as not to be sued by Pepso -- again --'"
"Mr. Linendot says 'Hi, kids! I'm Mr. Linendot here to tell you about the delicious beverage Pepso. The only drink made with real pepsin and now comes in a new refreshing flavor of 'vanilla'. And remember kids, I can no longer say they are the official sponsor of the show as that has never been the case.' He drinks a Pepso 'And here comes my lunch --'"

Table of BvE Responses
Response
"This is not going to be a home for orphans. BWAHAHAHAHA! This is going to be a place for hopes and dreams!"
"If you think the good people will allow you to defend the righteous sitting down, you're wrong. They will join the cause!"
"While many identify with their passions, it is better to take a calmer approach. That is unless justice is perverted."
"MWUAHAHAHAHAHAHA! The hospital for orphans will give them the best care that they so desperately deserve."
"Many say I lack compassion when dealing with my enemies and this is true because those who would harm the less fortunate are not deserving of compassion!"

Table of Basic Help Commands
command	description
"north"	"Move north"
"south"	"Move south"
"east"	"Move east"
"west"	"Move west"
"northeast"	"Move northeast"
"northwest"	"Move northwest"
"southeast"	"Move southeast"
"southwest"	"Move southwest"
"up"	"Move up"
"down"	"Move down"
"look"	"Looks around at current location"
"save"	"Save state to a file"
"restore"	"Restores a saved state"
"restart"	"Restarts the game"
"verbose"	"Gives full description after each command"
"diagnostic"	"Give description of health"
"brief"	"Give a description upon first entering an area"
"superbrief"	"Never describe an area"
"quit"	"Quit game"
"climb"	"Climbs (up)"
"g"	"Redo last command"
"go (direction)"	"Go towards direction (west/east/north/south/in/out/into)"
"enter"	"In to the place"
"in"	"Go into something"
"out"	"Go out of the place"
"get/take (item)"	"Removes item from current room and places it in your inventory"
"get/take all"	"Takes all takeable objects in room"
"throw (item) at (location)"	"Throws the item at something"
"open (container)"	"Opens the container, whether it is in the room or your inventory"
"open (exit)"	"Opens the exit for travel"
"read (item)"	"Reads what is written on readable item"
"drop (item)"	"Removes item from inventory and places it in current room"
"put (item) in (container)"	"Removes item from inventory and places it in container"
"turn (control) with (item)"	"Attempts to operate the control with the item"
"turn on (item)"	"Turns on the item"
"turn off (item)"	"Turns the item off"
"move (object)"	"Moves a large object that cannot be picked up"
"attack (creature) with (item)"	"Attacks creature with the item"
"examine (object)"	"Examines, or looks, at an object or item or location"
"inventory"	"Shows contents of the inventory"
"eat"	"Eats item (specifically food)"
"shout"	"Shout it out (shout it out loud)"
"close (Door)"	"Closes door"
"tie (item) to (object)"	"Ties item to object"
"pick (item)"	"Take/get item"
"break (item) with (item)"	"Breaks item"
"kill (creature) with (item)"	"Attacks creature with the item"
"drink"	"Drink an item"
"smell"	"Smell an item"
"cut (object/item) with (weapon)"	"Comment: Strange concept, cutting the (object/item). If (object/item)=self then you commit suicide"
"listen (target)"	"Listens to a creature or an item"
"slap (target)"	"Slap the target viciously."
"poke (target)"	"Poke a target."
"credits"	"Display the credits for this game."
"license"	"Displays the license for this game."
"talk to"	"You will talk to someone for once in your life."

Table of RPG Help Commands
command	description
"rpg rules"	"Displays the basic rules for the RPG element"
"stats"	"Display your stats"
"buy (strength, defense, hp, or die)"	"Purchase an attribute with experience points."

Chapter 3 - Rooms and Doors

Dungeon 1 Meet & Greet Room is a room. The description is "The meet and greet room has stone walls and granite floors and ceilings.".
Pie Room is a room. The description is "[if unvisited]A voice says 'This is the pie room! Take one pie but only one pie. Mwhahahahahaha!' There are a large assortment of pies laid out in the room, but most don't seem appetizing. The floors, walls, and ceiling appear to be carved out of granite. There is an opening to the southwest on the southwest side of the room.[Otherwise]There are a large assortment of pies laid out in the room, but most don't seem appetizing. The floors, walls, and ceiling appear to be carved out of granite. There is an opening on the southwest side of the room.".
Fluffy Puff Path is a room. It is southwest of Pie Room. The description is "You are in a slightly curving path that is literally carved out of the rock. It leads to the south.".
Aquarium is a room. It is south of Fluffy Puff Path. The description is "You find yourself in a giant cavern carved out of the living rock. Situated in the room is an aquarium full of water about the height of the tall ceiling and wrapping around the room with arches allowing for access to the southern exit. From the west and east, sounds of water trickling can be heard. The giant aquarium has branches leading in both of those directions.".
Western Aquarium is a room. It is west of Aquarium. The description is "The western area of the aquarium leads into this room that is carved from the stone and the ginormous aquarium ends here.".
Eastern Aquarium is a room. It is east of Aquarium. The description is "The eastern area of the aqaurium leads into this room that is carved from the stone and the ginormous aquarium ends here.".
Hall of Pictures is a room. It is south of Aquarium. The description is "The long passageway continues in an L-shaped pattern to the west. Inside it are several pictures and paintings, most of which are of no consequence and are quite boring.".
Spork in the Road is a room. It is west of Hall of Pictures. The description is "The wonderful Hall of Pictures has lead to a dank path that curves to the south. At the end is a giant spork with two paths leading southwest and southeast. A giant splork is in the way of the southeast path.".
Leftward Path is a room. It is southwest of Spork in the Road. The description is "This path goes on and on leftward.".
Wedding Chapel is a room. It is east of the Leftward Path. The description is "It is a nice looking wedding chapel. Inside are two men wearing tuxedos and standing before a pastor.".
Rightward Path is a room. It is southeast of Spork in the Road. The description is "The room is like the others except it does not go anywhere other than where you entered.".
Cheese Shop is a room. The description is "For some reason, there is a English-style cheese shop in the middle of a dungeon.".
Brick Transition Hallway is a room. It is south of Leftward Path. The printed name is "Long Hallway". The description is "[if unvisited]This long hallway meanders around. After several hours, you discover that half of the hallway is brick and the other half is carved out of the living stone. There is an open archway made of brick leading to the southwest.[otherwise]The long, meandering hallway is made halfway of brick and halfway of carved stone. There is an open archway made of brick leading to the southwest. Another archway leads to the west.".
Potato Room is a room. It is southwest of the Brick Transition Hallway. The description is "This tall, vaulted ceiling room is chock full of potatoes. There is a way out to the northeast. There are brown stairs leading up that appear to be made of tightly packed potato skins.".
Presser Release Room is a room. It is west of the Brick Transition Hallway. The description is "Silent figures in robes that are barely visible are in this room. At the front is a stage with Baron von Evil on it behind a podium. There is a way leading out to the east.".

Kansas City Missouri Financial District is a room. The printed name is "Financial District". The description is "The Kansas City, Missouri Finance District is south of the River Market neighborhood, east of the Library, west of the East Village, and north of the Power and Light Districts. There are several tall, rectangular buildings made of steel and glass, burying their past. Commerce Bank stands to the northwest.[if unvisited][paragraph break]Now, that was a weird dungeon.[paragraph break]As you climb out of the sewer, two men walk past you. One says 'You know what? We should visit Stull!'. The other scowls and says 'You know what? You should have good ideas instead!'".
Commerce Bank is a room. The description is "Commerce Bank has a gigantic lobby and people constantly milling about. It's fairly cool looking from the white marble floors to the marble pillars. There's not much else here. People are trying to do business and don't have much in the way of time for you!".
Kansas City Missouri Library District is a room. It is west of Kansas City Missouri Financial District. The printed name is "Library District". The description is "The Library district of Kansas City, Missouri is west of the financial district. It is most well-known for the downtown library, which has pictures of books painted on the side. It is northwest of the Power & Light district and southwest of the city market.".
Kansas City Missouri River Market is a room. It is north of Kansas City Financial District and northeast of Kansas City Missouri Library District. The printed name is "River Market Neighborhood". The description is "The way leading to the River Market is lined with brick buildings. When finally reaching the center, which is a cluster of buildings that has an open air market in the middle. Surrounding the open air market are shops offering food, fresh fruits, and spices, as well as goods from other countries. The Missouri River is to the north. The finance district is to the south and the library district is to the southwest.[if unvisited][paragraph break]After recovering from the courtroom drama, you feel anger at who actually murdered the individual in the locker. To this end and inspired by the failings of the KCMO PD's corrupt cop and bad cop, you agree with Baron von Evil and decide to do your own investigation.".
Kansas City Missouri Power & Light District is a room. It is south of Kansas City Financial District and southeast of Kansas City Missouri Library District. The printed name is "Power and Light District". The description is "Lined with upscale restaurants culminating with the T-Mobile Center on the eastern side, the Power & Light district is complete with business people from downtown looking for a bite to eat and something hard to drink. To the north is the financial district, to the northeast is the East Village, and to the northwest is the library district.".
Kansas City Missouri East Village is a room. It is east of Kansas City Missouri Financial District and southeast of Kansas City Missouri River Market and northeast of Kansas City Missouri Power & Light District. The printed name is "East Village". The description is "Upscale buildings and apartments represent the East Village. The Power & Light district is to the southeast, the financial district is to the west, and the River Market is to the northwest.[if unvisited][paragraph break]When you first enter, you see something unusual: two pimps walking towards each other. Once within reasonable proximity, and without a single pause as they pass each other, the two pimps high five, immediately low five each other, and continue walking, again, without a pause in their steps and as if this is normal behavior for them.".  
MissouriRiver is a room. The printed name is "Missouri River". It is north of Kansas City Missouri River Market. The description is "It's a small, dirty, and, especially, polluted river.".

Pie Room Door is a door. It is southeast of Dungeon 1 Meet & Greet Room. It is northwest of Pie Room. It is closed and locked. The description is "The rock door has fading words scrawled on them that say 'Speak the lines and dots and you may enter.'".
Cheese Shop Door is a door. It is west of the Leftward Path. It is east of the Cheese Shop. It is closed. The description is "It is yellow and made of wood with the picture of a wheel of cheese with a huge slice taken out of it.".
Door to Commerce Bank is a door. It is northwest of Kansas City Financial District. It is east of Commerce Bank. The description is "The revolving door leading into Commerce Bank has a decorative and iconic overhang.".
Potato Trapdoor is a door. It is closed. It is openable. It is above the Potato Room and below Kansas City Missouri Financial District. The description is "The door is made of lacquered potatoes.".

Dungeon 2 Meet & Greet Room is a room. The description is "The meet and greet room is a white room with black curtains, but no windows.".
Fight Room 1 is a room. The printed name is "Ninja Room". The description is "There is the slow, soft trickle of water coming from somewhere within the darkly lit room.[if unvisited] At that moment, a ninja, all dressed in black, pops out of nowhere wielding a menacing sword!".
Martial Arts Door is a door. It is south of Dungeon 2 Meet & Greet Room and north of the Fight Room 1. It is closed and locked. The description is "The door is has a placard on it that says 'Martial Arts' in faux Japanese lettering.".

Chapter 4 - Actors

Mr Linendot is a man. He is in Dungeon 1 Meet & Greet Room. The description is "He has lines for limbs and dots for joints. His perfectly circular head only has dots for eyes and a line for a mouth.".
Marshie is a person. They are in Fluffy Puff Path. The description is "This is a giant marshmallow with squinted eyes, a button nose, a mouth, and a bite taken out of their upper right side of their 'head'. They look hungry enough to eat a floor pie.".
Melkior is a person. They are in Kansas City Missouri Library District. The description is "He is an Eldarim turned undead after pledging his life to Death himself. He is currently held together it would seem by just simple rags. There are severely damaged parts on his body from previous battles.".
Darcon is a man. He is in Leftward Path. The description is "He looks like a typical cook wearing a black shirt and pants. Darcon is laying on the floor in the fetal position facing the right and muttering 'Two men enter, no man leave! Two men enter, no man leave!'".
Cheese Shopkeep is a man. He is in Cheese Shop. The description is "He is a short middle-aged man with black hair and a black moustache.".
Cheese Shop Dancer is a man. He is in Cheese Shop. The description is "He is an averaged sized man, wearing a black suit and a black bowler hat. He is stepping one foot forward and backwards, then switching off the feed, all to the time of some slow cacodaemoniacal beat coming from the ether.".
Baron von Evil is a man. He is in the Presser Release Room. The description is "He is dressed like an old-timey silent film villain. His hair is wild and unkempt and has 'crazy eyes'. His teeth are sharpened and yellow.".
Lord Goodfellow is a man. He is in the Presser Release Room. The description is "He is dressed in the finest of materials with a black top hat, a black tuxedo, and a pocketwatch secured inside a pocket on the chest of his tuxedo with a chain protruding outward and attached to something inside his pants pocket.".
Bad Cop is a man. He is in Commerce Bank. The description is "He is a white man with a shaved head that is dressed in the finest blue of the KCMO police force.".
Corrupt Cop is a man. He is in Commerce Bank. The strength of Corrupt Cop is 6. The defense of Corrupt Cop is 6. The health of Corrupt Cop is 20. The damage of Corrupt Cop is 6. The experience of Corrupt Cop is 100. The dice pool of Corrupt Cop is 4. The description is "He is a white man with black, buzz cut hair and dressed in the finest blue of the KCMO police force.".
Ken is a man. He is in Wedding Chapel. The description is "He is an average sized man wearing a tuxedo and looking very nervous.".
Kent is a man. He is in Wedding Chapel. The description is "He is an short sized man wearing a tuxedo and looking very nervous.".
Pastor is a man. He is in Wedding Chapel. The description is "The pastor is wearing the traditional robes of Methodists. He is a tall man.".
Small Ninja is a person. They are in Fight Room 1. The strength of Small Ninja is 2. The defense of Small Ninja is 3. The health of Small Ninja is 6. The damage of Small Ninja is 2. The experience of Small Ninja is 100. The dice pool of Small Ninja is 1. The description is "Dressed in the finest black that the shadows allow one to be concealed in, the small-sized ninja is standing there with a sword in hand and appears to be looking for a fight.".
Medium Ninja is a person. They are in Fight Room 1. The strength of Medium Ninja is 4. The defense of Medium Ninja is 6. The health of Medium Ninja is 12. The damage of Medium Ninja is 4. The experience of Medium Ninja is 300. The dice pool of Medium Ninja is 2. The description is "Dressed in the finest black that the shadows allow one to be concealed in, the medium-sized ninja is standing there with a sword in hand and appears to be looking for a fight.".
Large Ninja is a person. They are in Fight Room 1. The strength of Large Ninja is 6. The defense of Large Ninja is 6. The health of Large Ninja is 18. The damage of Large Ninja is 6. The experience of Large Ninja is 500. The dice pool of Large Ninja is 3. The description is "Dressed in the finest black that the shadows allow one to be concealed in, the large-sized ninja is standing there with a sword in hand and appears to be looking for a fight.".
Monster Ninja is a person. They are in Fight Room 1. The strength of Monster Ninja is 6. The defense of Monster Ninja is 6. The health of Monster Ninja is 18. The damage of Monster Ninja is 6. The experience of Monster Ninja is 1000. The dice pool of Monster Ninja is 3. The description is "Dressed in the finest black that the shadows allow one to be concealed in, the monster-sized ninja is standing there with a sword in hand and appears to be looking for a fight.".


Chapter 5 - Things

The ring of awesomeness is a thing. It is wearable. The description is "An awesome-looking ring that fits your finger perfectly. It looks a little dirty and looks like it needs a good amount of dirt rubbed off it.".
BBQ Burnt Ends is a thing. It is edible. The description is "The BBQ burnt ends are a Kansas City specialty. They look so good and that they should be eaten before getting too cold.".
ye flask is a thing. It is fixed in place. It is in Kansas City Missouri Power & Light District. The description is "It is a flask containing some unknown liquid."
Can of Rhubarb Pepso is a thing. The description is "A can of 'delicious', 'refreshing', rhubarb Pepso, the only flavored cola made with real pepsin.".
TV is a thing. It is fixed in place. It is in Dungeon 1 Meet & Greet Room. The description is "This television has a black shell surrounding a touch screen. The touch screen currently says 'Touch Me!'".
blueberry floor pie is a thing. It is edible. It is in the Pie Room. The description is "This floor pie is flavored blueberry.".
cherry floor pie is a thing. It is edible. It is in the Pie Room. The description is "This floor pie is flavored cherry.".
Fountain is a container. It is fixed in place. It is in the Western Aquarium. The description is "An ornate stonework fountain that seems to have an endless supply of water pouring out of it.".
Bucket is a container. It is in the Western Aquarium. The bucket can be empty or full. The bucket is empty. The description is "An old metal bucket. However, to poor Liza's chagrin, there is no hole in this here bucket. [if full]It is currently full[otherwise]It is currently empty.".
Ginormous aquarium is a container. It is in the Aquarium. The description is "A ginormous aquarium. Fish that are easily spooked swim about inside. It has two tributaries branching off to the east and west. There is a hole in it to allow insertion of things."
Goldfish is an animal. Understand "fish" as goldfish. It is in Eastern Aquarium. The description is "Yup. It's a goldfish that just happens to be golden colored. [if goldfish is in bucket]The goldfish seems content if such a thing can be said of fish.[otherwise]It is flopping about on the floor and seems to be struggling.".
Painting of the Tower of Plargh is a thing. It is fixed in place. It is in the Hall of Pictures. The description is "The picture depicts the Tower of Plargh burning to the ground and a multitude surrounding it. They are cheering and waving banners and flags.".
Painting of the Mirren Lisa is a thing. It is fixed in place. It is in the Hall of Pictures. The description is "The artist took some liberties and combined the Mona Lisa with Helen Mirren. They did a great job of it!".
Photo of a Deaf Zeppelin is a thing. It is fixed in place. It is in the Hall of Pictures. The description is "For whatever reason, the photographer took an arthouse picture of a figure that looks like an old timey zeppelin but with hearing aids attached to the side.".
Painting of Dogs Playing Yahtzee is a thing. It is in the Hall of Pictures. The description is "It's dogs! And they're dressed up in cute people clothes and playing Yahtzee!".
Giant Spork is a thing. It is fixed in place. It is in Spork in the Road. The description is "It's a giant, white statue of a spork fixed in the ground. On it are carved, in scrawling letters, the word 'RHUBARB'.".
Cheddar is a thing. It is fixed in place. It is in the Cheese Shop. The description is "A giant block of the finest English Cheddar.".
Venezuelan Beaver Cheese is a thing. It is fixed in place. It is in the Cheese Shop. The description is "A cake of the world-class, and famous, Venezuelan beaver cheese.".
Limburger is a thing. It is fixed in place. It is in the Cheese Shop. The description is "A hunk of the smelliest cheese, you swear, in the world.".
Bag of Potatoes is a thing. It is in the Potato Room. The description is "A large, brown burlap sack that is opened at the top revealing it is full of potatoes.".
Podium is a container. It is fixed in place. It is in the Presser Release Room. The description is "A standard black, wooden podium. In it there appears to be papers.".
Speech Papers is a thing. It is in the Podium. The description is "These papers contain the neat scrawlings of a speech written by Baron von Evil. Included among them is an artists interpretation of a children's hospital.".
Commerce Bank Lobby Locker is a container. It is closed. It is openable. It is fixed in place. It is in Commerce Bank. The description is "The steel locker that is covered in money green paint is quite tall (a full head taller than you at least) and is located at the far end of the lobby.".
Dead Body is a thing. The description is "Yup, it's dead, Jim. At least that's what would be said if your name were 'Jim'.".

Chapter 6 - Actions

A thing can be examined or unexamined. A thing is usually unexamined.
A person can be examined or unexamined. A thing is usually unexamined.
The player has a number called score. The score of the player is 0.

When play begins:
	now the right hand status line is "Score: [score of the player]".

Carry out taking something:
	increase the score of the player by 1.

Carry out dropping something:
	decrease the score of the player by 1.

Carry out examining something:
	if the noun is unexamined:
		now the noun is examined;
		increase the score of the player by 1.

Understand "license" as license. License is an action applying to nothing.
Carry out license:
	say "Copyright (C) 2023  William R. Moore
	[line break]This work is licensed under the Creative Commons BY-NC-SA 4.0 License. To view a copy of the license, visit https://rezrov.xyz/caranmegil/butteredtoast4/.".

Understand "credits" as credits. Credits is an action applying to nothing.
Carry out credits:
	say "I would like to first and foremost thank Nina Nadu, my wife, for being my everything.";
	say "[line break]Next, I would like to thank my kids Olivia and Henry for being the rambuncious lot that you both are and have a special place in my heart!";
	say "[line break]Without your help, this would not be here!";
	say "[line break]Melkior is copyright Christopher D. Schmitz of Treeshaker Books.".

Understand "help" as helping. Helping is an action applying to nothing.
Carry out helping:
	say "You like help?  Here we go![line break]";
	say "[bold type]Basic Commands[roman type]:[line break]";
	repeat through Table of Basic Help Commands:
		say "[bold type][command entry][roman type]: [description entry][line break]";
	say "[line break][bold type]RPG Commands[roman type]:[line break]";
	repeat through Table of RPG Help Commands:
		say "[bold type][command entry][roman type]: [description entry][line break]".

Understand "talk to [something]" as talking. Talking is an action applying to one visible thing.

Instead of smelling when the noun is Limburger:
	say "Phew! This stuff stinks.".

[ Just chatting features ]

After talking when noun is Melkior:
	let rr be a random number from 1 to number of rows in Table of Melkior Responses;
	say "[Response in row rr of Table of Melkior Responses]".

After talking when noun is Baron von Evil:
	let rr be a random number from 1 to number of rows in Table of BvE Responses;
	say "[Response in row rr of Table of BvE Responses]".

After talking when noun is Lord Goodfellow:
	say "Lord Goodfellow snorts derisively and says 'The great thing about the poor is they illustrate how rich I am'.".

Carry out talking when noun is Mr Linendot:
	let rr be a random number from 1 to number of rows in Table of Mr Linendot Sayings;
	say "[Saying in row rr of Table of Mr Linendot Sayings]";

Ring Rubbed is a truth state that varies. Ring Rubbed is false.
After rubbing when noun is ring of awesomeness:
	say "A disembodied voice says 'AWESOOOME!'";
	now Ring Rubbed is true.

After touching TV:
	let rr be a random number from 1 to number of rows in Table of Television Responses;
	say "The TV says '[Response in row rr of Table of Television Responses]'".

Instead of taking while the noun is ye flask:
	say "You can't get ye flask.".

Carry out talking when the noun is Cheese Shop Dancer:
	say "He ignores you and continues with their unholy gyrations.".

Carry out talking when the noun is Cheese Shopkeep:
	say "Welcome! Point out what you like!".

Every turn:
	if the location of the player is MissouriRiver:
		say "You try to swim in the Missouri river, but you're not some kind of water craft. Instead, you get drug downstream.";
		end the story.

Carry out talking when the noun is Ken:
	say "Ken looks at you, blushes, and says 'This is the man I want to spend the rest of my life with.'".

Carry out talking when the noun is Kent:
	say "Kent looks at you, blushes, and says 'This is the man I want to spend the rest of my life with despite being a snorer in bed.'".

Witness Wedding is a truth state that varies. Witness Wedding is false.

Carry out talking when the noun is Pastor:
	if Witness Wedding is false:
		increase the score of the player by 10;
		now Witness Wedding is true;
		say "The pastor raises his right hand and says 'I now pronounce you husband and husband. You may now kiss each other!'";
	otherwise:
		say "The pastor smiles and says 'I love weddings!'".

[
	GAME PROGRESSING ACTIONS
]

Carry out going to a room (called new room) when new room is Kansas City Missouri Financial District and Potato Trapdoor is unlocked:
	say "(The sound of a lock screetching into place is heard.)";
	now the Potato Trapdoor is closed;
	now the Potato Trapdoor is locked;
	move Mr Linendot to Commerce Bank;
	continue the action.

Instead of eating when the noun is Bag of Potatoes:
	say "Congratulations! You've eaten an entire bag of potatoes. The carbs have made you extremely sleepy.";
	remove Bag of Potatoes from play;
	increase the score of the player by 10.

Cheese Shop Solved is a truth state that varies. Cheese Shop Solved is false.
Instead of talking when the noun is the Cheese Shopkeep:
	say "He says 'Would you like some cheese? Point at you want!'".

Understand "point at/to/towards [something]" as pointing. Pointing is an action applying to one visible thing.
Instead of pointing:
	if the location of the player is Cheese Shop:
		if the noun is cheddar:
			say "Cheese Shopkeep frowns slightly but returns to their vapid smile and says 'Well, we don't get much call for it around here, sir!'";
		otherwise:
			if the noun is Venezuelan Beaver Cheese:
				say "Cheese Shopkeep looks confused but returns to their vapid smile and says 'Not [bold type]today[roman type], sir, no.'";
			otherwise:
				if the noun is Limburger:
					say "Cheese Shopkeep looks down and their vapid smile and says 'No.'";
					say "[line break]You look around 'Figures. Predictable, really I suppose. It was an act of purest optimism to have posed the question in the first place. Tell me:'";
					say "[line break]Cheese Shopkeep say 'Yessir?'";
					say "[line break]You say 'Have you in fact got any cheese here at all?'";
					say "[line break]Cheese Shopkeep vapidly smiles and says 'Yessir'";
					say "[line break]You say 'Really?'";
					say "[line break](A short, awkward pause.)";
					say "[line break]Cheese Shopkeep says 'No, not really. Not a scrap.'";
					say "(You hear the unlocking of the Cheese Shop Door)";
					if Cheese Shop Solved is false:
						increase the score of the player by 10;
						now Cheese Shop Solved is true;
					now the Cheese Shop Door is unlocked;
				otherwise:
					say "Cheese Shopkeep looks at you, smiles, and politely says 'I'm sorry, but we don't carry [the noun].'";
	otherwise:
		say "It's not nice to point, especially at [the noun]!".

Pepso drank is truth state that varies. Pepso drank is false.
Instead of drinking Can of Rhubarb Pepso:
	say "You pause for a moment after consuming the entire drink. You utter 'Hmm' just before retching the entire contents of your stomach on the floor, which absorbs it with gusto.";
	now Pepso drank is true;
	increase the score of the player by 10;
	remove Can of Rhubarb Pepso from play.

Instead of inserting when the noun is bucket:
	if the second noun is the fountain and the bucket is empty:
		say "You use the bucket on the water fountain and it's now full.";
		increase the score of the player by 10;
		now the bucket is full;
	if the second noun is the ginormous aquarium and the goldfish is in the bucket and the bucket is full:
		say "When you place the bucket into the ginormous aquarium, the bucket slowly dissolves and the goldfish swims quickly amongst the other fish and is soon indistiguishable from the other golden goldfish there.";
		remove the goldfish from play;
		remove the bucket from play;
		increase the score of the player by 10.

Instead of inserting when the noun is goldfish and the second noun is bucket and the bucket is full:
	say "You place the struggling goldfish into the bucket, which causes it to swim around and seem happier.";
	now the goldfish is in the bucket;
	increase the score of the player by 10.

After going to a room (called new room) while new room is Cheese Shop:
	move the player to new room;
	now the Cheese Shop Door is closed;
	now the Cheese Shop Door is locked;
	say "You hear the door slam shut and lock behind you.";
	say "[line break]You smile and say 'I want to buy some cheese.'";
	say "[line break]Cheese Shopkeep looks at you, smiles, and politely says 'Of course, sir! This is a cheese shop.'".

Before going to a room (called new room):
	if the location of the player is Fluffy Puff Path and new room is not Pie Room and the location of Marshie is Fluffy Puff Path:
		if Marshie does not have a blueberry floor pie or Marshie does not have a cherry floor pie:
			say "Marshie frowns and says 'I don't have me a floor pie!'. At that moment, he opens his eyes and shoots blue fire right onto you and you incinerate into dust.";
			end the story;
		otherwise:
			continue the action;
	if the location of the player is Spork in the Road and new room is not Hall of Pictures:
		if Pepso drank is false:
			say "The entire top of the cave is ripped open and a disfigured face peers down at you.
			[line break]The face says 'You haven't had your healthy dose of Pepso today. Shame on you!'
			[line break]At that moment, a hand scoops you up and places you in the mouth of the face. Your last moments are of long, excruciating pain that overwhelms your senses and ability to cry out for help.";
			end the story;
		otherwise:
			continue the action;
	otherwise:
		continue the action.

Carry out talking when the noun is Marshie:
	say "I really hungry. I could go for some pie right about now.".
	
Carry out talking when the noun is Darcon:
	say "In a raspy voice, Darcon mutters over and over 'Two men enter, no man leave! Two men enter, no man leave!'".

[ What if you take more than one pie from the pie room ]
Carry out taking:
	if the noun is cherry floor pie and the player has blueberry floor pie:
		say "A voice cackles and says 'I told you to only take one!'. You suddenly start rapidly aging until you're nothing but bones.";
		end the story;
	otherwise:
		if the noun is blueberry floor pie and the player has cherry floor pie:
			say "A voice cackles and says 'I told you to only take one!'. You suddenly start rapidly aging until you're nothing but bones.";
			end the story;
		otherwise:
			continue the action.

After giving to Marshie:
	if the noun is cherry floor pie or the noun is blueberry floor pie:
		say "The pie magically starts floating from your hand into Marshie's open maw and is consumed in one bite.[line break]Marshie smiles, says 'Thank you!', and floats away.";
		increase the score of the player by 10;
		remove Marshie from play;
	otherwise:
		continue the action.

After talking when the noun is Mr Linendot and the Pie Room Door is locked:
	say "You hear a loud click that came from the southeast.";
	increase the score of the player by 10;
	now the Pie Room Door is unlocked.

Dead Body Found is a truth state that varies. Dead Body Found is false.

After opening Commerce Bank Lobby Locker:
	if Dead Body Found is false:
		move Dead Body to Commerce Bank;
		now Dead Body Found is true;
		increase the score of the player by 10;
		say "Thinking that this is where the prize that Mr. Linendot promised you is located, you open the locker. Upon opening the locker, a dead body falls out of it. Several people passing by scream, alerting the two police officers.";
		say "[line break]Mr. Linendot shouts 'There is no way on this planet was that the prize!'";
		say "[line break]Corrupt Cop stomps over to you and says 'Well, well, well! Lookit what we have here! We found a body that is stabbed to death. And, oh, what did i just find on you? A knife!'";
		say "[line break]Bad Cop marches and paces around the room, shaking his head, and shooting icy glares at you.";
		say "[line break]Corrupt Cop shouts 'I think we've found our murderer!'";
	otherwise:
		continue the action.

[ For displaying figures ]

After examining the Giant Spork:
	display the Figure of Spork in the Road.

After examining Mr Linendot:
	display the Figure of Mr Linendot.

Chapter 7 - The Game

The player is in Dungeon 1 Meet & Greet Room.

Act I Scene 1 is a scene. Act I Scene 1 begins when play begins. Act I Scene 1 ends when Potato Trapdoor is locked.

Carry out talking when the noun is Mr Linendot and player is not carrying Can of Rhubarb Pepso and Act I Scene 1 is happening:
	say "Mr. Linendot says 'Hey, kids! Welcome to the Buttered Toast, the Great Dungeon Caper. A scavenger hunt -- that is exactly like last year.'";
	say "Mr. Linendot looks you up and down. 'Oh! You're not a kid. Whatever! I don't really care at this point in my life. Hurry up or you don't get the [bold type]impressive[roman type] reward. Also, have this can of rhubarb pepso on the house!'";
	increase the score of the player by 10;
	move can of rhubarb pepso to location of the player;
	silently try taking the can of rhubarb pepso.

Act I Scene 2 is a scene. Act I Scene 2 begins when Act I Scene 1 ends. Act I Scene 2 ends when Dead Body Found is true.

Instead of talking when the noun is Mr Linendot and Act I Scene 2 is happening:
	say "Mr. Linendot smiles and says 'So, you found your way out of that dungeon. Wasn't it weird!? Any how, somewhere nearby is your prize.'". 

Carry out talking when the noun is Corrupt Cop or the noun is Bad Cop and Act I Scene 2 is happening:
	say "He appears to ignore you.".

Act I Scene 3 is a scene. Act I Scene 3 begins when Act I Scene 2 ends. Act I Scene 3 ends when Courtroom Decision is true.

Courtroom Decision is a truth state that varies. Courtroom Decision is false.

When Act I Scene 3 begins:
	say "You're brought before the judge. The prosecutor, dressed in the finest clothing that sleaze offers, stands at his table. He sneers at you as you approach the bench and are sat at the defense table. You look at your lawyer.";
	If score of the player < 140:
		say "[line break]Billy Davis, Public Defender stands next to you. His suit is as cheap as his cologne. His blonde hair is slicked back. He smiles at you.";
		say "[line break]Billy Davis says 'Judge! This is all a misunderstanding. My client would never have put the body in that locker had it been known to them at the time it was a crime! That's why they're innocent. [bold type]The defense rests![roman type]' As you and Billy Davis sit down, he gives you two thumbs up and smiles.";
		say "[line break]After many hours of courtroom deliberation and drama, complete with charts and graphs, the procsecutor rests his case, smugly. Then, the judge leaves the courtroom.";
		say "[line break]Sometime later, the judge emerges from her chambers and says 'The evidence is clear. You are guilty of the crime of heinous murder and will be remanded to the custody of the state until another trial is set where a suitable punishment is found. Bailiff! Take him away!'";
		say "[line break]With that, the bailiff drags you out of the courtroom and puts you into prison where you await a sentencing trial.";
		end the story;
	Otherwise:
		say "[line break]Baron von Evil stands next to you. His suit is average and his cologne is tolerable.";
		say "[line break]Baron von Evil says 'Judge, jury, the court. There is no evidence at all that my client murdered the person in question. In fact, the only witness is a corrupt police officer. I move that his case be summarily dismissed.'";
		say "[line break]After many hours of courtroom deliberation and drama, complete with charts and graphs, the prosecutor rests his case, smugly. Then, the jury leaves the courtroom.";
		say "[line break]Sometime later, the jury emerges and returns to their box. The head juror hands the judge their decision.";
		say "[line break]The judge says 'All rise! We will now read the verdict. The jury finds with one exception that the defendant is -- innocent!'";
		say "[line break]The courtroom erupts in cheering.";
		say "[paragraph break]Much later, you're walking down the hallway and Baron von Evil stops you.";
		say "[line break]He says, ''You know they're not going to give up now that they've been foiled. Time is bought. Find the real killer. Don't be afraid to ask for help!'";
		increase the score of the player by 10;
		now Courtroom Decision is true.

Act II Scene 1 is a scene. Act II Scene 1 begins when Act I Scene 3 ends. Act II Scene 1 ends when Ring Rubbed is true.

When Act II Scene 1 begins:
	move Bad Cop to Kansas City Missouri East Village;
	move Corrupt Cop to Kansas City Missouri East Village;
	move the ring of awesomeness to Kansas City Missouri River Market;
	move the player to Kansas City Missouri River Market.

Carry out talking when the noun is Corrupt Cop and Act II Scene 1 is happening:
	say "Corrupt Cop eyes you up and down and says 'We're watching you.'";
	say "'I need to train if I need to defeat these two,' you think, 'and the only good place to train is some martial arts place! Maybe the East Village has something there.'".

Carry out talking when the noun is Bad Cop and Act II Scene 1 is happening:
	say "Bad Cop is stamping his foot while scowling at you.".

Act II Scene 2 is a scene. Act II Scene 2 begins when Act II Scene 1 ends. Act II Scene 2 ends when location of Small Ninja is nowhere and location of Medium Ninja is nowhere and location of Large Ninja is nowhere and location of Monster Ninja is nowhere.

When Act II Scene 2 begins:
	now TV is in Dungeon 2 Meet & Greet Room;
	now Mr Linendot is in Dungeon 2 Meet & Greet Room;
	move the player to Dungeon 2 Meet & Greet Room.

Carry out talking when the noun is Mr Linendot and Act II Scene 2 is happening:
	say "Mr. Linendot smiles vapidly and says 'So! You want martial arts training? What better place than this dungeon. It'll give you a robust work out. Did I say robust? I meant 'funky'! Go on through that door to begin your trial and tribulations.'";
	say "(The sound of a door unlocking is heard.)";
	now Fighting Allowed is true;
	now Martial Arts Door is unlocked.

When Act II Scene 2 ends:
	now the damage of the player is 0;
	say "(You suddenly feel refreshed.)".

Act III is a scene. Act III begins when Act II Scene 2 ends. Act III ends when location of Corrupt Cop is nowhere.

When Act III begins:
	move Baron von Evil to Kansas City Missouri East Village;
	say "(You feel warm and tingly all over. The world melts away...)";
	move the player to the Kansas City Missouri East Village;
	say "Corrupt Cop says 'So, you've come back. It's time for us to end this.'".

Act IV is a scene. Act IV begins when Act III ends.

When Act IV begins:
	say "Baron von Evil frowns and says 'So, we see the fate of the corrupt and bad. The righteous hands will eventually rise up and strike them down until the corrupt lose interest and move on to other things. But, how do we strike at them? Violence or bureaucracy?'";
	end the story.